Subject: Re: [2/2] powerpc/mm/radix: Synchronize updates to the process table

From: Michael Ellerman <[email-masked]>
Date: Tue, 11 Jul 2017 22:48:28 +1000 (AEST)

On Fri, 2017-07-07 at 21:12:16 UTC, Benjamin Herrenschmidt wrote:
> When writing to the process table, we need to ensure the store is
> visible to a subsequent access by the MMU. We assume we never have
> the PID active while doing the update, so a ptesync/isync pair
> should hopefully be a big enough hammer for our purpose.
> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>

Applied to powerpc fixes, thanks.

https://git.kernel.org/powerpc/c/3a6a04706fd08eb5677fdfc086e26f

cheers